## lumpy-sv 0.3.1+dfsg

=== Makefile ===

# ==========================
# Lumpy Makefile
# (c) 2016 Jim Havrilla
# ==========================

SHELL := /bin/bash -e

VERSION_FILE=./src/utils/version/version_git.h
RELEASED_VERSION_FILE=./src/utils/version/version_release.txt


# define our object and binary directories
export OBJ_DIR	= obj
export BIN_DIR	= bin
export SRC_DIR	= src
export UTIL_DIR	= src/utils
export SCRIPTS_DIR = scripts
export CXX		= g++
ifeq ($(ZLIB_PATH),)
	export ZLIB_PATH=$(HOME)/src/zlib-1.2.8
endif
#export CXXFLAGS = -Wall -O0 -g -fno-inline -fkeep-inline-functions -D_FILE_OFFSET_BITS=64 -fPIC -DDEBUG -D_DEBUG -DTRACE
#export CXXFLAGS = -Wall -O0 -g -fno-inline -fkeep-inline-functions -D_FILE_OFFSET_BITS=64 -fPIC 
export CXXFLAGS = -Wall -O2 -D_FILE_OFFSET_BITS=64 -fPIC 
export LIBS		= -lz -L $(ZLIB_PATH)
export BT_ROOT  = src/utils/BamTools/
export MKFILE_DIR = $(dir $(abspath $(lastword $(MAKEFILE_LIST))))

SUBDIRS = $(SRC_DIR)/lumpy

UTIL_SUBDIRS =	$(SRC_DIR)/utils/bedFile \
				$(SRC_DIR)/utils/version \
				$(SRC_DIR)/utils/gzstream \
				$(SRC_DIR)/utils/fileType \
				$(SRC_DIR)/utils/bedFilePE \
				$(SRC_DIR)/utils/genomeFile \
				$(SRC_DIR)/utils/BamTools \
				$(SRC_DIR)/utils/BamTools-Ancillary \
				$(SRC_DIR)/utils/sequenceUtilities \
				$(SRC_DIR)/utils/sqlite3


all:	lumpy_filter lumpyexpress lumpy

lumpy:	
	[ -d $(OBJ_DIR) ] || mkdir -p $(OBJ_DIR)
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)

	@echo "Building lumpy:"
	@echo "========================================================="

	@$(MAKE) --no-print-directory --directory=$(BT_ROOT) api

	@for dir in $(UTIL_SUBDIRS); do \
		echo "- Building in $$dir"; \
		$(MAKE) --no-print-directory -C $$dir; \
		echo ""; \
	done

	@for dir in $(SUBDIRS); do \
		echo "- Building in $$dir"; \
		$(MAKE) --no-print-directory -C $$dir; \
		echo ""; \
	done

lumpy_filter: htslib
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	$(MAKE) --no-print-directory -C src/filter/
	cp src/filter/lumpy_filter $(BIN_DIR)


htslib:
	$(shell cd lib/htslib && autoreconf)
	cd lib/htslib && \
	./configure --disable-bz2 --disable-lzma --enable-libcurl
	CFLAGS="$(CFLAGS) -DBGZF" $(MAKE) -C lib/htslib --no-print-directory CFLAGS="-DBGZF_MT"

lumpyexpress:
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	cp $(SCRIPTS_DIR)/lumpyexpress $(BIN_DIR)/lumpyexpress

	> $(BIN_DIR)/lumpyexpress.config
	@echo "LUMPY_HOME=$(MKFILE_DIR)" >> $(BIN_DIR)/lumpyexpress.config
	@echo "" >> $(BIN_DIR)/lumpyexpress.config
	@echo "LUMPY=$(MKFILE_DIR)/$(BIN_DIR)/lumpy" >> $(BIN_DIR)/lumpyexpress.config
	@echo "HEXDUMP=`which hexdump`" >> $(BIN_DIR)/lumpyexpress.config
	@echo "SAMBLASTER=`which samblaster`" >> $(BIN_DIR)/lumpyexpress.config
	@echo "SAMBAMBA=`which sambamba`" >> $(BIN_DIR)/lumpyexpress.config
	@echo "SAMTOOLS=`which samtools`" >> $(BIN_DIR)/lumpyexpress.config
	@echo "PYTHON=`which python`" >> $(BIN_DIR)/lumpyexpress.config
	@echo "" >> $(BIN_DIR)/lumpyexpress.config
	@echo "PAIREND_DISTRO=$(MKFILE_DIR)/$(SCRIPTS_DIR)/pairend_distro.py" >> $(BIN_DIR)/lumpyexpress.config
	@echo "BAMGROUPREADS=$(MKFILE_DIR)/$(SCRIPTS_DIR)/bamkit/bamgroupreads.py" >> $(BIN_DIR)/lumpyexpress.config
	@echo "BAMFILTERRG=$(MKFILE_DIR)/$(SCRIPTS_DIR)/bamkit/bamfilterrg.py" >> $(BIN_DIR)/lumpyexpress.config
	@echo "BAMLIBS=$(MKFILE_DIR)/$(SCRIPTS_DIR)/bamkit/bamlibs.py" >> $(BIN_DIR)/lumpyexpress.config

.PHONY: all

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*
	@rm -Rf $(BT_ROOT)/lib
	@rm -f $(BT_ROOT)/src/api/*.o
	@rm -f $(BT_ROOT)/src/api/internal/*.o
	@rm -Rf $(BT_ROOT)/include

.PHONY: clean

=== src/filter/Makefile ===

all:
	$(CC) -I../../lib/htslib/ -o lumpy_filter filter.c ../../lib/htslib/libhts.a -lcrypto -lcurl -lpthread -lz

=== src/lumpy/Makefile ===
UTILITIES_DIR = ../utils/
OBJ_DIR = ../../obj/
BIN_DIR = ../../bin/

# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/bedFile/ \
           -I$(UTILITIES_DIR)/bedFilePE/ \
           -I$(UTILITIES_DIR)/genomeFile/ \
           -I$(UTILITIES_DIR)/version/ \
           -I$(UTILITIES_DIR)/gzstream/ \
           -I$(UTILITIES_DIR)/lineFileUtilities/ \
           -I$(UTILITIES_DIR)/fileType/ \
           -I$(UTILITIES_DIR)/BamTools/include \
		   -I$(UTILITIES_DIR)/BamTools-Ancillary \
           -I$(UTILITIES_DIR)/sequenceUtilities \
           -I$(UTILITIES_DIR)/UCSCBins \
           -I$(UTILITIES_DIR)/sqlite3 

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= lumpy.cpp \
		 SV_Pair.cpp \
		 SV_Evidence.cpp \
		 SV_BreakPoint.cpp \
		 SV_Bedpe.cpp \
		 SV_SplitRead.cpp \
		 SV_SplitReadReader.cpp \
		 SV_PairReader.cpp \
		 SV_BedpeReader.cpp \
		 SV_BamReader.cpp \
		 SV_InterChromBamReader.cpp \
		 SV_EvidenceReader.cpp \
		 SV_Tools.cpp \
		 SV_VcfVariant.cpp \
		 log_space.cpp
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=BamAncillary.o \
			 sequenceUtils.o \
			 gzstream.o \
			 bedFilePE.o \
			 bedFile.o \
			 genomeFile.o \
			 fileType.o \
			 sqlite3.o 
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))
PROGRAM=lumpy


all: $(PROGRAM)

$(PROGRAM): $(BUILT_OBJECTS) $(EXT_OBJECTS)
	@echo "  * linking $(PROGRAM)"
	@$(CXX) $(LDFLAGS) $(CXXFLAGS) -o $(BIN_DIR)/$@ $^ \
		-L$(UTILITIES_DIR)/BamTools/lib/ -lbamtools \
		$(LIBS) \
		-lz -lm -ldl -lpthread

$(OBJ_DIR)/%.o: %.cpp
	@echo "  * compiling" $<
	@$(CXX) -g  -c $(CXXFLAGS) $(LDFLAGS) $(INCLUDES) $< -o $@

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/BamTools-Ancillary/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/BamTools/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/bedFilePE/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/sequenceUtilities/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/lineFileUtilities/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/gzstream/
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/fileType/ 
	@$(MAKE) --no-print-directory -C $(UTILITIES_DIR)/sqlite3/ 

clean:
	@echo "Cleaning up."
	rm -f $(BUILT_OBJECTS)

.PHONY: clean

=== src/utils/BamTools-Ancillary/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../

INCLUDES = -I$(UTILITIES_DIR)/BamTools/include \
           -I$(UTILITIES_DIR)/bedFile/ \
           -I$(UTILITIES_DIR)/lineFileUtilities/ \
           -I$(UTILITIES_DIR)/gzstream/ \
           -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= BamAncillary.cpp BamAncillary.h
OBJECTS= $(SOURCES:.cpp=.o)
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

all: $(BUILT_OBJECTS)

.PHONY: all

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/BlockedIntervals/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../

INCLUDES = -I$(UTILITIES_DIR)/BamTools/include \
           -I$(UTILITIES_DIR)/bedFile/ \
           -I$(UTILITIES_DIR)/gzstream/ \
           -I$(UTILITIES_DIR)/fileType/ \
           -I$(UTILITIES_DIR)/lineFileUtilities/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= BlockedIntervals.cpp BlockedIntervals.h
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=bedFile.o fileType.o gzstream.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

all: $(BUILT_OBJECTS)

.PHONY: all

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES) -L$(BT_ROOT)/lib

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/bedGraphFile/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES =  -I$(UTILITIES_DIR)/lineFileUtilities/ \
            -I$(UTILITIES_DIR)/gzstream/ \
            -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= bedGraphFile.cpp bedGraphFile.h
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=lineFileUtilities.o gzstream.o fileType.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C -W $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/chromsweep/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES = -I$(UTILITIES_DIR)/lineFileUtilities/ \
           -I$(UTILITIES_DIR)/bedFile/ \
           -I$(UTILITIES_DIR)/gzstream/ \
           -I$(UTILITIES_DIR)/fileType/

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= chromsweep.cpp chromsweep.h
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=lineFileUtilities.o fileType.o
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/fileType/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES = 

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= fileType.cpp fileType.h
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS=	
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/sequenceUtilities/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES = 

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= sequenceUtils.cpp sequenceUtils.h
OBJECTS= $(SOURCES:.cpp=.o)
_EXT_OBJECTS =
EXT_OBJECTS=$(patsubst %,$(OBJ_DIR)/%,$(_EXT_OBJECTS))
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

$(BUILT_OBJECTS): $(SOURCES)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS) $(INCLUDES)

$(EXT_OBJECTS):
	@$(MAKE) --no-print-directory -C $(INCLUDES)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

.PHONY: clean

=== src/utils/version/Makefile ===
OBJ_DIR = ../../../obj/
BIN_DIR = ../../../bin/
UTILITIES_DIR = ../../utils/
# -------------------
# define our includes
# -------------------
INCLUDES = 

# ----------------------------------
# define our source and object files
# ----------------------------------
SOURCES= version.cpp
HEADERS= version.h version_git.h
OBJECTS= $(SOURCES:.cpp=.o)
BUILT_OBJECTS= $(patsubst %,$(OBJ_DIR)/%,$(OBJECTS))

all: $(BUILT_OBJECTS)

.PHONY: all

$(BUILT_OBJECTS): $(SOURCES) $(HEADERS)
	@echo "  * compiling" $(*F).cpp
	@$(CXX) -c -o $@ $(*F).cpp $(LDFLAGS) $(CXXFLAGS)

clean:
	@echo "Cleaning up."
	@rm -f $(OBJ_DIR)/* $(BIN_DIR)/*

## lumpy-sv 0.3.0+dfsg

=== debian/changelog ===
lumpy-sv (0.3.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #961998)

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jun 2020 08:49:09 +0200

=== debian/control ===
Source: lumpy-sv
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               libbamtools-dev,
               libfastahack-dev,
               libgzstream-dev,
               libsqlite3-dev,
               libhts-dev,
               libssl-dev,
               libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/lumpy-sv
Vcs-Git: https://salsa.debian.org/med-team/lumpy-sv.git
Homepage: https://github.com/arq5x/lumpy-sv

Package: lumpy-sv
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         samblaster,
         samtools,
         python3,
         python3-pysam,
         python3-numpy,
         bamkit
Recommends: sambamba
Description: general probabilistic framework for structural variant discovery
 LUMPY, a novel SV discovery framework that naturally integrates multiple
 SV signals jointly across multiple samples.  LUMPY yields improved
 sensitivity, especially when SV signal is reduced owing to either low
 coverage data or low intra-sample variant allele frequency.

Package: lumpy-sv-examples
Architecture: all
Depends: ${misc:Depends},
Enhances: lumpy-sv
Description: general probabilistic framework for structural variant discovery (data)
 LUMPY, a novel SV discovery framework that naturally integrates multiple
 SV signals jointly across multiple samples.  LUMPY yields improved
 sensitivity, especially when SV signal is reduced owing to either low
 coverage data or low intra-sample variant allele frequency.
 .
 This package contains some example data and scripts to test lumpy-sv.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_install:
	dh_install
	rm debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config

override_dh_link:
	dh_link
	dh_link /etc/$(DEB_SOURCE)/lumpyexpress.config /usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## lumpy-sv 0.3.1%2Bdfsg

=== debian/changelog ===
lumpy-sv (0.3.1+dfsg-7build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:06 +1100

lumpy-sv (0.3.1+dfsg-7build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:44:11 +0100

lumpy-sv (0.3.1+dfsg-7build1) lunar; urgency=medium

  * No-change rebuild against libbamtools2.5.2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 21:47:40 +0000

lumpy-sv (0.3.1+dfsg-7) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:30:25 +0200

lumpy-sv (0.3.1+dfsg-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + lumpy-sv-examples: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 07:09:25 +0200

lumpy-sv (0.3.1+dfsg-5) unstable; urgency=medium

  * Fix configure patch according to a hint of Ken Yamaguchi
    Closes: #980005
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jan 2021 10:34:36 +0100

lumpy-sv (0.3.1+dfsg-4) unstable; urgency=medium

  * Link only in lumpy-sv binary (Closes: #973622)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 11:30:49 +0530

lumpy-sv (0.3.1+dfsg-3) unstable; urgency=medium

  * Do not ship lumpyexpress.config in both binary packages
    Closes: #973622

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 19:58:37 +0100

lumpy-sv (0.3.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: python3-pysam
    Closes: #972935
  * Build-Depends: libcurl4-gnutls-dev
    Closes: #972934
  * Fix binary-all builds
    Closes: #972933

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 22:20:27 +0100

lumpy-sv (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.1+dfsg
  * Add sam files for repacked bam files
  * Generate bam files during build
  * Append -g flag
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 01:16:36 +0530

lumpy-sv (0.3.0+dfsg-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2020 14:08:54 +0200

## lumpy-sv 0.3.1+dfsg

=== debian/changelog ===
lumpy-sv (0.3.1+dfsg-8) unstable; urgency=medium

  * Team Upload.
  * Add patch to not override dpkg provided c/cxxflags (Closes: #1119475)
  * Remove generated bam files post installation (Closes: #1047978)
  * Remove B-D on python3, dh-python and avoid using this debhelper.
    This works on makefile instead
  * Update shebang patch to fixup python3 shebangs
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop Redundant "Rules-Requires-Root: no"
  * Drop myself from uploaders
  * Drop python3:Depends

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Oct 2025 00:58:42 +0530

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               python3,
+Build-Depends: debhelper-compat (= 13),
                libbamtools-dev,
                libfastahack-dev,
                libgzstream-dev,
                libsqlite3-dev,
                libhts-dev,
                libssl-dev,
-               libcurl4-openssl-dev | libcurl4-dev
-Standards-Version: 4.5.0
+               libcurl4-gnutls-dev,
+               samtools,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/lumpy-sv
 Vcs-Git: https://salsa.debian.org/med-team/lumpy-sv.git
 Homepage: https://github.com/arq5x/lumpy-sv
@@ -22,7 +21,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends},
          samblaster,
          samtools,
          python3,
@@ -40,6 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends},
 Enhances: lumpy-sv
+Multi-Arch: foreign
 Description: general probabilistic framework for structural variant discovery (data)
  LUMPY, a novel SV discovery framework that naturally integrates multiple
  SV signals jointly across multiple samples.  LUMPY yields improved

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_install:
	cat debian/missing-sources/pe.pos_sorted.sam |samtools view -Sb - > data/pe.pos_sorted.bam
	cat debian/missing-sources/sr.pos_sorted.sam |samtools view -Sb - > data/sr.pos_sorted.bam
	dh_install
	rm -f debian/$(DEB_SOURCE)*/usr/share/$(DEB_SOURCE)/scripts/lumpyexpress.config
	rm -f data/pe.pos_sorted.bam data/sr.pos_sorted.bam

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/arq5x/lumpy-sv/tags .*/v?@ANY_VERSION@\.tar\.gz
